/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 CASSIDIAN an EADS Company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.components.client;

import java.util.HashMap;
import java.util.Map;

import javax.xml.namespace.QName;

public class WebLabService {

	private String uri;
	private String baseUrl;

	private Map<QName, Object> qNameToClientMap = new HashMap<QName, Object>();

	public WebLabService(String uri, String url) {
		super();
		// TODO check that the URI is valid?
		this.uri = uri;
		// TODO check that the URL is valid?
		this.baseUrl = url;
	}
	
	public String getUri() {
		return uri;
	}

	public String getBaseUrl() {
		return baseUrl;
	}

	public Object getClient(QName interfaceQName){
		return qNameToClientMap.get(interfaceQName);
	}
	
	protected synchronized void addClient(QName interfaceQName, Object client){
		qNameToClientMap.put(interfaceQName, client);
	}
	
}
